be.fgov.ehealth.certra.protocol.v2

## Class RevokeRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.certra.protocol.v2.RevokeRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:49:08+02:00",
                 comments="JAXB RI v2.3.7")
      public class RevokeRequest
      extends RequestType
      implements Serializable

  Request for revoking an eHealth authentication certificate and its associated Encryption Token. The request must contain a XML contract that was obtained from the generateRevocationContract operation.

  Java class for RevokeRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RevokeRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
             <sequence>
               <element name="PublicKeyIdentifier" type="{urn:be:fgov:ehealth:etee:commons:core:v2}PublicKeyIdentifier"/>
               <element name="Contract" type="{urn:be:fgov:ehealth:certra:core:v2}RevocationContractType"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevokeRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RevocationContractType` | `getContract()` Gets the value of the contract property.
    `byte[]` | `getPublicKeyIdentifier()` Gets the value of the publicKeyIdentifier property.
    `Signature` | `getSignature()` Enveloped XML signature that signs the entire request element.
    `void` | `setContract(RevocationContractType value)` Sets the value of the contract property.
    `void` | `setPublicKeyIdentifier(byte[] value)` Sets the value of the publicKeyIdentifier property.
    `void` | `setSignature(Signature value)` Sets the value of the signature property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevokeRequest

          public RevokeRequest()

  - ### Method Detail

    - #### getPublicKeyIdentifier

          public byte[] getPublicKeyIdentifier()

      Gets the value of the publicKeyIdentifier property.
      Returns:
        possible object is `String`

    - #### setPublicKeyIdentifier

          public void setPublicKeyIdentifier(byte[] value)

      Sets the value of the publicKeyIdentifier property.
      Parameters:
        `value` - allowed object is `String`

    - #### getContract

          public RevocationContractType getContract()

      Gets the value of the contract property.
      Returns:
        possible object is `RevocationContractType`

    - #### setContract

          public void setContract(RevocationContractType value)

      Sets the value of the contract property.
      Parameters:
        `value` - allowed object is `RevocationContractType`

    - #### getSignature

          public Signature getSignature()

      Enveloped XML signature that signs the entire request element. The signature must be created with the "Signature" key of a valid Belgian eID and the signer of this request must be a person that is allowed to revoke the certificate that is identified by the PublicKeyIdentifier element.
      Returns:
        possible object is `Signature`

    - #### setSignature

          public void setSignature(Signature value)

      Sets the value of the signature property.
      Parameters:
        `value` - allowed object is `Signature`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.